## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# StylesheetExecutionContextDefault::FormatNumberFunctor Class Reference

List of all members.

## Public Member Functions

- FormatNumberFunctor ()
- virtual ~FormatNumberFunctor ()
- virtual void operator() (XPathExecutionContext &executionContext, double theNumber, const XalanDOMString &thePattern, const XalanDecimalFormatSymbols *theDFS, XalanDOMString &theResult, const XalanNode *context=0, const LocatorType *locator=0) const=0

## Constructor & Destructor Documentation

StylesheetExecutionContextDefault::FormatNumberFunctor::FormatNumberFunctor | ( |  | ) |

virtual StylesheetExecutionContextDefault::FormatNumberFunctor::~FormatNumberFunctor | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void StylesheetExecutionContextDefault::FormatNumberFunctor::operator() | ( | XPathExecutionContext & | executionContext,
|  | double | theNumber,
|  | const XalanDOMString & | thePattern,
|  | const XalanDecimalFormatSymbols * | theDFS,
|  | XalanDOMString & | theResult,
|  | const XalanNode * | context = 0,
|  | const LocatorType * | locator = 0
| ) | const`[pure virtual]`

The documentation for this class was generated from the following file:

- StylesheetExecutionContextDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.